<template>
  <i-frame :src="openUrl"
    id="jimuReportFrame" ></i-frame>
</template>
<script>
// 报表设计器
import { getToken } from '@/utils/auth'
import iFrame from '@/components/iFrame/index'
export default {
  name: "Jimu",
  components: { iFrame },
  data() {
    return {
      // 这里写暴露的统一的网关地址
      openUrl: "http://192.168.100.39:8080/report/jmreport/list?token=" + getToken(),
    };
  },
  mounted: function () {

  }
};
</script>

<style lang="scss">
#jimuReportFrame{
  width: 100%;
  height: 100%;

  ::v-deep(.layout){
    background-color: transparent !important;
  }
}
</style>